<apex:page showHeader="true" sidebar="true" tabstyle="SPCC_Purchase_Order__c" title="Import Purchase Orders" id="SPCC_ImportPos" controller="SPCC_ImportPOsController" docType="html-5.0">


<head>
  <apex:includeScript value="{!$Resource.jquery_3_1_1_min}"/>
  <apex:includeScript value="{!$Resource.jquery_blockUI}"/>

  <script language="javascript" type="text/javascript"> 

    j$ = jQuery.noConflict();  

    var tempDisableUnload = false;
    window.onbeforeunload = function() {
        if(!tempDisableUnload){
            return "Records have not yet been saved. Do you want to continue ?";
        }
        return;

    }
    
    function setDisableUnload() {
        tempDisableUnload = true;
    }

    function blockScreen() {
        j$.blockUI({message: '<img  id="loaderImg" src="/img/loading.gif" title="Please wait...">Please wait...</>'});    
    }  

  </script> 
</head>
	
  <apex:pagemessages escape="false"/>

    <apex:form id="poForm">
        <apex:pageBlock >
            <apex:pageBlockButtons location="top">         
                <apex:inputFile value="{!csvFileBody}" accept="csv" styleclass="btn" filename="{!csvAsString}" fileSize="{!csvFileSize}" disabled="{!AND(loadButtonClickedSucc,NOT(saveButtonClicked))}"/>   
                <apex:commandButton value="Load File" action="{!importCSVFile}" disabled="{!OR(csvFileSize=0,AND(loadButtonClickedSucc,NOT(saveButtonClicked)))}" onclick="setDisableUnload(); blockScreen();" />
                <apex:commandButton value="Save Purchase Orders" action="{!importPOList}" disabled="{!poList.size=0}" onclick="setDisableUnload(); blockScreen();"/>      
            </apex:pageBlockButtons>     

            <apex:pageblocktable id="poTable" value="{!poList}" var="ticketRec" rendered="{!poList.size>0}">
                
                <apex:column headerValue="Row #">
                    <apex:outputText value="{!ticketRec.rowNum}"/>
                </apex:column>
                
                <apex:column headerValue="Status">  
                   <apex:image id="theImage1" value="/img/msg_icons/confirm16.png" rendered="{!ticketRec.po.id <> null}"/>
                   <apex:image id="theImage2" value="/img/msg_icons/error16.png" title="{!ticketRec.errorMessage}" rendered="{!ticketRec.isError}"/>
                   <apex:image id="theImage3" value="/img/msg_icons/warning16.png" rendered="{!AND(ticketRec.isWarning,NOT(ticketRec.isError))}" />
                   <apex:image id="theImage4" value="/img/msg_icons/info16.png" rendered="{!AND(ticketRec.isInfo,NOT(ticketRec.isError))}" /> 
                </apex:column>
            
                <apex:column headerValue="PO Number">
                	<apex:outputText value="{!ticketRec.poName}" rendered="{!AND(ticketRec.poId == null, ticketRec.po.id == null)}"/>
                	<apex:outputLink target="_blank"  rendered="{!OR(ticketRec.po.id <> null, ticketRec.poId <> null)}" value="/{!IF(ticketRec.po.id <> null,ticketRec.po.id, ticketRec.poId)}">{!ticketRec.poName}</apex:outputLink> <!--style="color:#00cc00"-->
              	</apex:column>
              	
              	<apex:column value="{!ticketRec.lineItem.Item__c}" />

             	<apex:column value="{!ticketRec.po.Engineering_Work_Request__c}" />
             
             	<apex:column value="{!ticketRec.po.Authorization_for_Expenditure__c}"  />

			    <apex:column headerValue="G/L Account">
					<apex:outputLink target="_blank" rendered="{!ticketRec.lineItem.Cost_Element__c <> null}" value="/{!ticketRec.lineItem.Cost_Element__c}">{!ticketRec.glCodeNumber}</apex:outputLink>
                    <apex:outputText value="{!ticketRec.glCodeNumber}" rendered="{!AND(ticketRec.glCodeNumber <> null, ticketRec.lineItem.Cost_Element__c == null)}"/>
			    </apex:column>

				<apex:column headerValue="Cost Code">
					<apex:outputLink target="_blank" rendered="{!ticketRec.po.Cost_Code__c <> null}" value="/{!ticketRec.po.Cost_Code__c}">{!ticketRec.costCodeNumber}</apex:outputLink>
				</apex:column>

                <apex:column value="{!ticketRec.po.Vendor_Account__c}" />
              
                <apex:column headerValue="Vendor ID" value="{!ticketRec.vendorId}" />

                <apex:column value="{!ticketRec.lineItem.Committed_Amount__c}" />
              
                <apex:column value="{!ticketRec.lineItem.Short_Text__c}" />

                <apex:column value="{!ticketRec.po.Description__c}"/>  

                <apex:column headerValue="Import Result" id="result_coulumn">
                    <apex:outputText value="{!ticketRec.errorMessage}" escape="false"/>
              	</apex:column>  
              	
        	  </apex:pageblocktable>
        </apex:pageBlock>
    </apex:form>          
</apex:page>